import { acceptHMRUpdate, defineStore } from 'pinia'

export const useUserStore = defineStore('USER', () => {
  const userInfo = ref<API.UserInfo>()
  const authInfo = ref<API.LoginResp>()

  return {
    userInfo,
    authInfo,
  }
}, { persist: true })

if (import.meta.hot)
  import.meta.hot.accept(acceptHMRUpdate(useUserStore as any, import.meta.hot))
