declare module 'nenv' {
  interface ENV {
    VITE_BASE_URL: string
    VITE_APP_NAME: string
    VITE_APP_TITLE: string
    VITE_APP_DESC: string
    VITE_API_URL: string
    VITE_UPLOAD_URL: string
    VITE_API_URL_PREFIX: number
    VITE_ICON_LOCAL_PREFIX: string
    VITE_ICON_UNOCSS_PREFIX: string
    VITE_HTTP_PROXY: boolean
    VITE_COMPRESS: string
    VITE_PWA: boolean
    VITE_MARKDOWN: boolean
    VITE_USE_MOCK: boolean
  }

  const env: ENV
  export default env
}
