import { promises as fs } from 'node:fs'
import { buildUtilsLog } from './'

const stage = 'File'

export async function buildUtilsReadFile(path: string) {
  buildUtilsLog(`Reading File: ${path}`, stage)
  return await fs.readFile(path, 'utf8')
}

export async function buildUtilsWriteFile(path: string, data: any) {
  buildUtilsLog(`Writing data into File: ${path}`, stage)
  return await fs.writeFile(path, data, 'utf8')
}
