export const REDIRECT_NAME = 'Redirect'
export const PAGE_NOT_FOUND_NAME = 'PageNotFound'
export const BASIC_LOGIN_PATH = '/login'
export const BASIC_HOME_PATH = '/'
export const BASIC_ERROR_PATH = '/exception'
export const BASIC_LOCK_PATH = '/lock'

export enum PageEnum {
  // basic login path
  BASE_LOGIN = '/login',
  // basic register path
  BASE_REGISTER = '/register',
  // basic home path
  BASE_HOME = '/',
  // error page path
  ERROR_PAGE = '/exception',
  // error log page path
  ERROR_LOG_PAGE = '/error-log/list',
  BASE_LOCK = '/lock',
}
